#include <iostream>
#include <vector>

using namespace std;

int Count_Inversions(const vector<int> & Board){
  int num_inversions = 0;
  for(int i = 0; i < Board.size(); i++)
    for(int j = i+1; j < Board.size(); j++)
      if(Board[i] != 0 && Board[j] != 0 && Board[i] > Board[j])
	num_inversions++;
  return num_inversions;
}

int main(){
  int n;
  cin >> n;
  int cur_case=1;
  while(n>0){
    vector<int> Board(n*n);
    int blank_pos;
    for(int i = 0; i < n*n; i++){
      cin >> Board[i];
      if(Board[i] == 0)
	blank_pos = i;
    }
    int num_inversions = Count_Inversions(Board);
    cout << "Case " << cur_case << ": ";
    cout << num_inversions << " inversions, so ";
    if(n%2 == 1){
      if( num_inversions%2 == 0)
	cout << "yes." << endl;
      else cout << "no." << endl;
    }
    else{ // n is even
      int blank_row = n-blank_pos/n;
      if(blank_row %2 == 0 && num_inversions%2 == 1 ||
	 blank_row %2 == 1 && num_inversions%2 == 0)
	cout << "yes." << endl;
      else
	cout << "no." << endl;
    }
    cur_case++;
    cin >> n;
  }
  return 0;
}
      
