#include <iostream>
#include <vector>

using namespace std;

int Solve(vector<vector<int> > & Splash_Heights, int n, int k){
  if(n == 0) // no more splashes
    return 0;
  if(k == 0) // no more warnings, can only guess the next n heights
    return n; 
  if(Splash_Heights[n][k] != -1) // memoized value
    return Splash_Heights[n][k];
  
  // else, we compute the value, which is..
  
  // the range I can figure out if I guess this splash too high
  int result = Solve(Splash_Heights,n-1,k-1) + 
    //the range I can figure out if I guess this splash too low
    Solve(Splash_Heights, n-1, k) +
    // one for this splash I just checked
    1;

  Splash_Heights[n][k] = result;
  //result;
  return result;
}

int main(){
  int k,n;
  cin >> k >> n;
  int cur_case = 1;
  while(k >= 0){
    vector<vector<int> >Splash_Heights(n+1);
    for(int i = 0; i < n+1; i++){
      Splash_Heights[i].resize(0);
      Splash_Heights[i].resize(k+1,-1);
    }
    int max_height = Solve(Splash_Heights,n,k);
    cout << "Case " << cur_case << ": We can find the maximum splash height if it's between 1 and " << max_height << " inches." << endl;
    cur_case++;
    cin >> k >> n;
  }
  return 0;
}
